<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <!-- Je suis un commentaire -->
        <file filelist='eoledb' name='/etc/eole/eole-db.conf' mkdir='True' rm='True'/>
    </files>
    <variables>
        <family name='services'>
            <variable name='activer_eoledb' type='oui/non' description='Activer le service de gestion de bases de données EoleDB' mode='expert'>
                <value>oui</value>
            </variable>
        </family>
        <family name='EoleDB' icon='database' mode='expert'>
            <variable name='edb_local' type='oui/non' description='Le serveur par défaut est local'>
                <value>oui</value>
            </variable>
            <variable name='edb_host' type='string' description='Adresse du serveur de base de données'/>
            <variable name='edb_port' type='number' description='Port du serveur de base de données'/>
            <variable name='edb_root' type='string' description="Compte d'administration du serveur de base de données"/>
            <variable name='edb_rootpw' type='string' description="Fichier contenant le mot de passe associé au compte d'administration"/>
            <variable name='edb_allow_hosts' type='string' description='Machines qui peuvent utiliser le serveur de BDD' multi='True'/>
        </family>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='activer_eoledb'>
            <param>non</param>
            <target type='filelist'>eoledb</target>
            <target type='family'>EoleDB</target>
        </condition>
        <condition name='disabled_if_in' source='edb_local'>
            <param>oui</param>
            <target type='variable'>edb_host</target>
            <target type='variable'>edb_port</target>
            <target type='variable'>edb_root</target>
            <target type='variable'>edb_rootpw</target>
            <target type='variable'>edb_allow_hosts</target>
        </condition>
    </constraints>
    <help>
        <family name='EoleDb'>Outil de gestion automatique des bases de données, simple et pratique</family>
        <variable name='activer_eoledb'>Utiliser ou non le service de gestion des bases de données EoleDB</variable>
        <variable name='edb_host'>Adresse du serveur de base de données par défaut de EoleDB, cette valeur sera utilisée pour toutes les applications qui ne définiront pas elles-mêmes un serveur de base de données</variable>
        <variable name='edb_port'>Port d'écoute du serveur de base de données par défaut de EoleDB</variable>
        <variable name='edb_root'>Identifiant du compte à utiliser pour administrer la base de données par défaut de EoleDB</variable>
        <variable name='edb_rootpw'>Chemin du fichier contenant le mot de passe de l'administrateur de la base de données par défaut de EoleDB</variable>
        <variable name='edb_allow_hosts'>Adresses IP avec lesquelles les utilisateurs de la base de données sont susceptibles de se connecter</variable>
    </help>
</creole>
